Subject: Re: bug#78474: 31.0.50; Wrong char insertion in rxvt

From: Samuel Thibault <[email-masked]>
Date: Tue, 22 Jul 2025 20:08:43 +0200

Eli Zaretskii, le mar. 22 juil. 2025 16:42:29 +0300, a ecrit:
> > Samuel Thibault, le mar. 22 juil. 2025 14:16:02 +0200, a ecrit:
> > and end up seeing a hardcoded
> > list of the screen readers that are fortunate enough to be known enough
> > to get the proper behavior of emacs in vte,
> 
> Emacs makes it very easy to modify such databases.  Saying the names
> of such programs are "hardcoded" is not really accurate for Emacs,
> because we can expose the list as a user option, so users could easily
> add/remove programs as needed.

But it's *really* hard for users to walk the way from "the cursor does
not move when I press space!" down to "maybe I should try disabling the
use of tab for optimization". I don't think Sebastien would have found
such an option or even thought it could have existed.

Samuel